Improve the "New layer" wizard usability
12/21/2011 10:41 AM - Manuel Madrid

Status: Closed % Done: 100%
Priority: Immediate Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Document view
Target version: 2.0.0-alpha4
gvSIG version: 2.0.0 Add-on resolve version:2.0.0-SNAPSHOT
Keywords: Add-on resolve build: 15
Has patch: No Proyecto:
Add-on name: Tools: New layer (org.gvsig.newlayer.app.extension)Hito:
Add-on version: 2.0.0-SNAPSHOT
Description

Things to improve:
- Information. The user doesn't know what "generic" nor other "explorers" names mean (e.g. "FilesystemExplorer").
- Within the Generic-shp wizard:
    · Disable (user shouldn't be able to edit) some fields like "dbfFile" and "shxFile".
    · Make the "fields_definition" table resizeable. Now it's very difficult to read the fields names.

History
#1 - 12/21/2011 01:50 PM - Manuel Madrid
- Add-on version set to 2.0.0

#2 - 01/18/2012 10:20 PM - Joaquín  del Cerro Murciano
- Assignee set to Cesar Ordiñana
- Target version set to 2.0.0-alpha4

#3 - 01/18/2012 11:38 PM - Joaquín  del Cerro Murciano
- Add-on name changed from org.gvsig.gvsigapp to Tools: New layer (org.gvsig.newlayer.app.extension)

#4 - 02/01/2012 10:41 AM - Joaquín  del Cerro Murciano

Como en el asistente generico hay muchas cosas a mejorar, hemos decidido quitar esa opcion y dejar solo los asistentes especificos para formatos en
concretos. Como minimo estara el de shape.
Lo que se va ha hacer es añadir en preferencias la opcion de habilitar que en el asistente salga o no la opcion "generico" y que por defecto este
desactivada. Asi, si algun usuario necesita hacer algo que solo puede con la opcion "generica" podriamos indicarle que lo active y darle instrucciones
de como podria hacerlo.

#5 - 02/02/2012 02:53 PM - Mario Fevre

in the wizard, "final" (finish) button creates the new shapefile but it does not close the window, allowing to create the same layer many times (no much
sense).

#6 - 02/09/2012 10:54 AM - Cesar Ordiñana
- Status changed from New to In progress

#7 - 02/09/2012 02:18 PM - Cesar Ordiñana
- % Done changed from 0 to 90

Joaquín  del Cerro Murciano wrote:

Como en el asistente generico hay muchas cosas a mejorar, hemos decidido quitar esa opcion y dejar solo los asistentes especificos para
formatos en concretos. Como minimo estara el de shape.
Lo que se va ha hacer es añadir en preferencias la opcion de habilitar que en el asistente salga o no la opcion "generico" y que por defecto este
desactivada. Asi, si algun usuario necesita hacer algo que solo puede con la opcion "generica" podriamos indicarle que lo active y darle
instrucciones de como podria hacerlo.

Implemented in changeset r37891

#8 - 02/09/2012 02:25 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 90 to 100
- Add-on version changed from 2.0.0 to 2.0.0-SNAPSHOT
- Add-on resolve version set to 2.0.0-SNAPSHOT
- Add-on resolve build set to 15

Mario Fevre wrote:

in the wizard, "final" (finish) button creates the new shapefile but it does not close the window, allowing to create the same layer many times (no
much sense).

Seems to not happen anymore, please check it again in the next build to confirm.

#9 - 12/17/2012 10:59 AM - Abenchara Socorro
- Status changed from Fixed to Closed

Closed in build 2061 RC2
